TOASCII(3P)

NAME
toascii - translate an integer to a 7-bit ASCII character

SYNOPSIS

#include <ctype.h>

int toascii(int c);

DESCRIPTION

The toascii() function shall convert its argument into a 7-bit ASCII character.

RETURN VALUE

The toascii() function shall return the value (c &0x7f).

ERRORS

No errors are returned.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

isascii() , the Base Definitions volume of IEEE Std 1003.1-2001, <ctype.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .